edspLikeListParser Class Reference
Inheritance diagram for edspLikeListParser:
[legend]
Collaboration diagram for edspLikeListParser:
[legend]

## Public Member Functions

bool | NewVersion (pkgCache::VerIterator &Ver) override
std::vector< std::string > | AvailableDescriptionLanguages () override
std::string_view | Description_md5 () override
uint32_t | VersionHash () override
| edspLikeListParser (FileFd *File)
Public Member Functions inherited from debListParser
std::string | Package () override
bool | ArchitectureAll () override
std::string_view | Architecture () override
std::string_view | Version () override
bool | SameVersion (uint32_t Hash, pkgCache::VerIterator const &Ver) override
bool | UsePackage (pkgCache::PkgIterator &Pkg, pkgCache::VerIterator &Ver) override
map_filesize_t | Offset () override
map_filesize_t | Size () override
bool | Step () override
| debListParser (FileFd *File)
Public Member Functions inherited from pkgCacheListParser
virtual bool | CollectFileProvides (pkgCache &, pkgCache::VerIterator &)

## Additional Inherited Members

Static Public Member Functions inherited from debListParser
static APT_PUBLIC unsigned char | GetPrio (std::string Str)
static APT_PUBLIC const char * | ParseDepends (const char *Start, const char *Stop, std::string &Package, std::string &Ver, unsigned int &Op, bool const &ParseArchFlags=false, bool const &StripMultiArch=true, bool const &ParseRestrictionsList=false, std::string const &Arch="")
static APT_PUBLIC const char * | ParseDepends (const char *Start, const char *Stop, std::string_view &Package, std::string_view &Ver, unsigned int &Op, bool ParseArchFlags=false, bool StripMultiArch=true, bool ParseRestrictionsList=false, std::string Arch="")
static APT_PUBLIC const char * | ConvertRelation (const char *I, unsigned int &Op)
Protected Member Functions inherited from debListParser
virtual bool | ParseStatus (pkgCache::PkgIterator &Pkg, pkgCache::VerIterator &Ver)
bool | ParseDepends (pkgCache::VerIterator &Ver, pkgTagSection::Key Key, unsigned int Type)
bool | ParseProvides (pkgCache::VerIterator &Ver)
APT_HIDDEN unsigned char | ParseMultiArch (bool const showErrors)
Protected Member Functions inherited from pkgCacheListParser
bool | NewGroup (pkgCache::GrpIterator &Grp, std::string_view Name)
map_stringitem_t | StoreString (pkgCacheGenerator::StringType const type, const char *S, unsigned int Size)
map_stringitem_t | StoreString (pkgCacheGenerator::StringType const type, std::string_view S)
map_stringitem_t | WriteString (std::string_view S)
map_stringitem_t | WriteString (const char *S, unsigned int Size)
bool | NewDepends (pkgCache::VerIterator &Ver, std::string_view Package, std::string_view Arch, std::string_view Version, uint8_t const Op, uint8_t const Type)
bool | NewProvides (pkgCache::VerIterator &Ver, std::string_view PkgName, std::string_view PkgArch, std::string_view Version, uint8_t const Flags)
bool | NewProvidesAllArch (pkgCache::VerIterator &Ver, std::string_view Package, std::string_view Version, uint8_t const Flags)
Static Protected Member Functions inherited from debListParser
static APT_HIDDEN bool | GrabWord (std::string_view Word, const WordList *List, unsigned char &Out)
Protected Attributes inherited from debListParser
std::vector< std::string > | forceEssential
std::vector< std::string > | forceImportant
std::string | MD5Buffer
std::string | myArch
std::string | essential
pkgTagFile | Tags
pkgTagSection | Section
map_filesize_t | iOffset

## Member Function Documentation

## AvailableDescriptionLanguages()

std::vector< std::string > AvailableDescriptionLanguages | ( |  | ) |

override virtual

Reimplemented from debListParser.

## Description_md5()

std::string_view Description_md5 | ( |  | ) |

override virtual

Reimplemented from debListParser.

## NewVersion()

bool NewVersion | ( | pkgCache::VerIterator & | Ver | ) |

override virtual

Reimplemented from debListParser.

## VersionHash()

uint32_t VersionHash | ( |  | ) |

override virtual

Reimplemented from debListParser.

The documentation for this class was generated from the following files:

- apt-pkg/edsp/edsplistparser.h
- apt-pkg/edsp/edsplistparser.cc